%define real_version 1.0b7

Summary:	HTML to PostScript converter
Name:		html2ps
Version:	2.0
Release:	%mkrel 3.b7.10
License:	GPL
Group:		Graphics/Utilities
URL:		https://user.it.uu.se/~jan/html2ps.html
Source:		https://user.it.uu.se/~jan/html2ps-%{real_version}.tar.gz
Patch0:		html2ps-1.0b5-conf.patch
Patch1:		html2ps-1.0b5-perl_path.patch
Patch2:		html2ps-1.0b5-open.patch
BuildArch:	noarch

%description
The Perl script html2ps converts HTML to PostScript. It would have more
capabilities if you have some of these packages installed: ImageMagick,
netpbm-progs, libjpeg-progs, perl-libwww, ghostscript, tetex, tetex-dvips
- see documentation for details.

html2ps can be used as ImageMagick delegate to convert from HTML.

%package -n	xhtml2ps
Summary:	GUI frontend for html2ps, a HTML-to-PostScript converter
Group:		Graphics/Utilities
Requires:	%{name} = %{version}
Requires:	tk

%description -n	xhtml2ps
xhtml2ps is freely-available GUI frontend for html2ps, a HTML-to-PostScript
converter.

%prep

%setup -q -n %{name}-%{real_version}
%patch -P 0 -p1
%patch -P 1 -p0
%patch -P 2 -p0

%build
perl -pi.orig -e '
        s|\@CONFDIR\@|%{_sysconfdir}|;
        s|\@DOCDIR\@|%{_docdir}/%{name}|;
    ' html2ps html2ps.1

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_mandir}/man5

install -m0755 html2ps %{buildroot}%{_bindir}/html2ps
install -m0755 contrib/xhtml2ps/xhtml2ps %{buildroot}%{_bindir}/xhtml2ps

install -m0644 html2psrc %{buildroot}%{_sysconfdir}/html2psrc
install -m0644 html2ps.1 %{buildroot}%{_mandir}/man1/html2ps.1
install -m0644 html2psrc.5 %{buildroot}%{_mandir}/man5/html2psrc.5

%files
%defattr(-,root,root,0755)
%doc COPYING html2ps.html README sample
%config(noreplace) %{_sysconfdir}/html2psrc
%{_bindir}/html2ps
%{_mandir}/man1/html2ps.1*
%{_mandir}/man5/html2psrc.5*

%files -n xhtml2ps
%defattr(-,root,root,0755)
%doc contrib/xhtml2ps/LICENSE contrib/xhtml2ps/README
%{_bindir}/xhtml2ps


%changelog
* Sat Dec 21 2024 pterjan <pterjan> 2.0-3.b7.10.mga10
+ Revision: 2127614
- Rebuild for patchN deprecation

* Sat Mar 19 2022 umeabot <umeabot> 2.0-3.b7.9.mga9
+ Revision: 1800886
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 2.0-3.b7.8.mga8
+ Revision: 1489830
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.0-3.b7.7.mga7
+ Revision: 1261208
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.0-3.b7.6.mga6
+ Revision: 942497
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-3.b7.5.mga5
+ Revision: 746978
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 2.0-3.b7.4.mga5
+ Revision: 725073
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0-2.b7.4.mga5
+ Revision: 680181
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0-2.b7.3.mga4
+ Revision: 505507
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0-2.b7.2.mga3
+ Revision: 353294
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Fri Oct 05 2012 oden <oden> 2.0-2.b7.1.mga3
+ Revision: 302869
- used the new "Graphics/Other" group
- 1.0b7 (http://www.openwall.com/lists/oss-security/2012/10/05/1)
- rediffed patches where needed

* Sat Feb 19 2011 ahmad <ahmad> 2.0-2.b5.5.mga1
+ Revision: 54241
- imported package html2ps

